/* CSS Document */
/**** CSS Reset ****/

h1, h2, h3, p, a, ul, li {
	margin: 0;
	padding: 0;
	list-style-type: none;
	text-decoration: none;
}

img {
	display: block;
	max-width: 100%;
}

/*** END CSS Reset ***/

body {
	background-image: url("images/dragon-pattern.png");
	background-size: 50%;
	background-attachment: fixed;
	font-family: 'Manrope', sans-serif;
	color: #272727;
	line-height: 25px;
}

h1, h2, h3, h4 {
	font-family: 'Rufina', serif;
}

#headerContent {
	background-color: whitesmoke;
	padding: 0 15px 15px 15px;
	/*position: sticky;
	top: 0;*/
}

#headerContent h1 {
	font-size: 40px;
	text-align: center;
	padding-top: 25px;
}

#headerContent h2 {
	font-size: 20px;
	text-align: center;
	color: #999;
	padding-top: 5px;
}

#btt {
	position: fixed;
	bottom: 10px;
	right: 10px;
	background-color: #BF7A7A;
	color: white;
	padding: 10px;
}

#btt:hover {
	background-color: #A16767;
}

#mainContent {
	background-color: whitesmoke;
	margin-top: 150px;
	margin-bottom: 150px;
	padding: 15px;
}

#mainContent h2 {
	text-size: 25px;
	padding-top: 15px;
}

#mainContent h3 {
	font-size: 20px;
}

#mainContent p {
	padding: 10px 25px 10px 25px;
}

#mainContent img {
	padding-left: 15px;
}

#mainContent section {
	padding-bottom: 20px;
}

#mainContent ul {
	padding-left: 40px;
	padding-right: 25px;
}

#mainContent ul li {
	padding-bottom: 10px;
}

#mainContent ul li::before {
	content: ">";
	padding-right: 8px;
	font-weight: bold;
}

#mainContent .bold {
	font-weight: bold;
}

#mainContent #appearance .desc {
	font-size: 12px;
	width: 200px;
	padding: 10px 25px 10px 10px;
	float: right;
	overflow: hidden;
	line-height: 15px;
}

#mainContent #namesakes .desc {
	font-size: 12px;
	width: 200px;
	padding: 10px 35px 0px 10px;
	float: left;
	overflow: hidden;
	line-height: 15px;
}

#namesakes .desc #garbage {
	font-family: 'Redacted', sans-serif;
}

#mainContent #culture .desc {
	font-size: 12px;
	width: 200px;
	padding: 10px 25px 10px 10px;
	float: right;
	overflow: hidden;
	line-height: 15px;
}

#mainContent #nature .desc {
	font-size: 12px;
	width: 200px;
	padding: 10px 35px 0px 10px;
	float: left;
	overflow: hidden;
	line-height: 15px;
}

#imgGallery {
	padding-top: 40px;
}

#imgGallery h2 {
	font-size: 30px;
}

#imgGallery h3 {
	font-size: 15px;
	padding-bottom: 15px;
	color: #999;
}

footer {
	background-color: whitesmoke;
	margin-bottom: 75px;
	text-align: center;
	padding: 15px 0;
	color: #999;
}

/*** nav styles ***/

nav {
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding-top: 25px;
	background-color: whitesmoke;
}

#mirror {
	background-color: #7A7EBF;
	border-radius: 75px;
	height: 75px;
	width: 75px;
	background-image: url("images/mirror-icon.png");
	background-repeat: no-repeat;
	background-position: center;
	color: transparent;
}

#mirror:hover {
	background-color: #5A5BC2;
}

#name {
	background-color: #7DBCC8;
	border-radius: 75px;
	height: 75px;
	width: 75px;
	background-image: url("images/name-icon.png");
	background-repeat: no-repeat;
	background-position: center;
	color: transparent;
}

#name:hover {
	background-color: #3B9EC7;
}

#hill {
	background-color: #7ABF98;
	border-radius: 75px;
	height: 75px;
	width: 75px;
	background-image: url("images/hill-icon.png");
	background-repeat: no-repeat;
	background-position: center;
	color: transparent;
}

#hill:hover {
	background-color: #5D967A;
}

#family {
	background-color: #BFA07A;
	border-radius: 75px;
	height: 75px;
	width: 75px;
	background-image: url("images/family-icon.png");
	background-repeat: no-repeat;
	background-position: center;
	color: transparent;
}

#family:hover {
	background-color: #A8835B;
}

#elements {
	background-color: #BF7A7A;
	border-radius: 75px;
	height: 75px;
	width: 75px;
	background-image: url("images/elements-icon.png");
	background-repeat: no-repeat;
	background-position: center;
	color: transparent;
}

#elements:hover {
	background-color: #A16767;
}

#gallery { 
	background-color: #C87DAE;
	border-radius: 75px;
	height: 75px;
	width: 75px;
	background-image: url("images/gallery-icon.png");
	background-repeat: no-repeat;
	background-position: center;
	color: transparent;
}

#gallery:hover {
	background-color: #A16592;
}

/*** gallery styles ***/

#grid {
	display: grid;
	grid-template-columns: 1fr 1fr;
	grid-gap: 30px;
}

#imgGallery img:hover {
	background-color: #7DBCC8;
		
}

@media only screen and (min-width: 700px) {
	#mirror {
		background-color: #7A7EBF;
		border-radius: 75px;
		height: 50px;
		width: 110px;
		background-image: none;
		background-repeat: no-repeat;
		background-position: center;
		color: white;
		display: flex;
	}

	#mirror:hover {
		background-color: #5A5BC2;
	}
	
	#mirror p {
		margin: auto;
		font-size: 15px;
		font-weight: bold;
	}

	#name {
		background-color: #7DBCC8;
		border-radius: 75px;
		height: 50px;
		width: 110px;
		background-image: none;
		background-repeat: no-repeat;
		background-position: center;
		color: white;
		display: flex;
	}

	#name:hover {
		background-color: #3B9EC7;
	}
	
	#name p {
		margin: auto;
		font-size: 15px;
		font-weight: bold;
	}

	#hill {
		background-color: #7ABF98;
		border-radius: 75px;
		height: 50px;
		width: 110px;
		background-image: none;
		background-repeat: no-repeat;
		background-position: center;
		color: white;
		display: flex;
	}

	#hill:hover {
		background-color: #5D967A;
	}
	
	#hill p {
		margin: auto;
		font-size: 15px;
		font-weight: bold;
		line-height: 15px;
	}

	#family {
		background-color: #BFA07A;
		border-radius: 75px;
		height: 50px;
		width: 110px;
		background-image: none;
		background-repeat: no-repeat;
		background-position: center;
		color: white;
		display: flex;
	}

	#family:hover {
		background-color: #A8835B;
	}
	
	#family p {
		margin: auto;
		font-size: 15px;
		font-weight: bold;
		line-height: 15px;
	}

	#elements {
		background-color: #BF7A7A;
		border-radius: 75px;
		height: 50px;
		width: 110px;
		background-image: none;
		background-repeat: no-repeat;
		background-position: center;
		color: white;
		display: flex;
	}

	#elements:hover {
		background-color: #A16767;
	}
	
	#elements p {
		margin: auto;
		font-size: 15px;
		font-weight: bold;
		line-height: 15px;
	}

	#gallery { 
		background-color: #C87DAE;
		border-radius: 75px;
		height: 50px;
		width: 110px;
		background-image: none;
		background-repeat: no-repeat;
		background-position: center;
		color: white;
		display: flex;
	}

	#gallery:hover {
		background-color: #A16592;
	}
	
	#gallery p {
		margin: auto;
		font-size: 15px;
		font-weight: bold;
		line-height: 15px;
	}
	
	#grid {
		display: grid;
		grid-template-columns: 1fr 1fr 1fr;
		grid-gap: 30px;
	}

}

@media only screen and (min-width: 960px) {
	
	#mainContent {
		width: 960px;
		margin: 0 auto 150px auto;
	}
	
	#mainContent {
		padding-top: 50px;
	}
	
	#grid {
		justify-items: center;
	}
	
	#mirror {
		width: 150px;
	}
	
	#name {
		width: 150px;
	}
	
	#hill {
		width: 150px;
	}
	
	#family {
		width: 150px;
	}
	
	#elements {
		width: 150px;
	}
	
	#gallery {
		width: 150px;
	}
	
}

@media only screen and (min-width: 1200px) {
	nav {
		max-width: 1200px;
		margin: auto;
	}
}


